> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Conversation Group

> Creates a conversation and send a message to recipients.



## OpenAPI

````yaml post /conversations/groups
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /conversations/groups:
    post:
      summary: Create a Conversation Group
      description: Creates a conversation and send a message to recipients.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  description: >-
                    The title is optional, by default it will just be the names
                    of the participants
                message:
                  type: string
                sender_id:
                  type: string
                  description: >-
                    The ID of the admin or moderator sender. Default is the
                    school owner.
                  default: school_owner_id
                member_participants:
                  type: array
                  items:
                    type: string
                    format: email or ID
                    description: Array of member email addresses or member IDs
                user_participants:
                  type: array
                  items:
                    type: string
                    format: email or ID
                    description: Array of user email addresses or user IDs
              required:
                - message
                - member_participants
      responses:
        '201':
          description: Group created
          content:
            application/json:
              schema:
                type: object
                properties:
                  group_id:
                    type: string
                    description: The ID of the created conversation group
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````